addEvent(window, 'load', externalLinks);

function addEvent(obj, evType, fn)
{ 
	if (obj.addEventListener)
	{ 
   	obj.addEventListener(evType, fn, true); 
   	return true; 
 	}
	else if (obj.attachEvent)
	{ 
   	var r = obj.attachEvent("on"+evType, fn); 
   	return r; 
 	}
	else
	{ 
   	return false; 
 	} 
}


function externalLinks()
{ 
	if (!document.getElementsByTagName) return; 
	var anchors = document.getElementsByTagName("a"); 
	for (var i=0; i<anchors.length; i++)
	{ 
   	var anchor = anchors[i]; 
   	if (anchor.getAttribute("href") && anchor.getAttribute("rel") == "external") 
		{
    		 anchor.target = "_blank"; 
		}
	} 
}